Delete Analytics Records - Cognigy Documentation
DELETE
/delete/ v2.0/ analytics/ {projectId}
Delete Analytics Records
cURL
curl --request DELETE \
--url https://api-trial.cognigy.ai/new/v2.0/analytics/{projectId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"contactIds": [\
"<string>"\\
],
"timestampStart": "2020-01-01T00:00:00Z",
"timestampEnd": "2020-01-31T23:59:00Z"
}
'```
### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/analytics/{projectId}"
payload = {
"contactIds": ["<string>"],
"timestampStart": "2020-01-01T00:00:00Z",
"timestampEnd": "2020-01-31T23:59:00Z"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIds: ['<string>'],
timestampStart: '2020-01-01T00:00:00Z',
timestampEnd: '2020-01-31T23:59:00Z'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/analytics/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/analytics/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'contactIds' => [
'<string>'
],
'timestampStart' => '2020-01-01T00:00:00Z',
'timestampEnd' => '2020-01-31T23:59:00Z'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/analytics/{projectId}"
payload := strings.NewReader("{\n \"contactIds\": [\n \"<string>\"\n ],\n \"timestampStart\": \"2020-01-01T00:00:00Z\",\n \"timestampEnd\": \"2020-01-31T23:59:00Z\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Error Responses
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}
Authorizations
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-API-Key | string | Yes | Supply the API Key in the HTTP-Header |
Body
- contactIds:
string[] | null - timestampStart:
string - timestampEnd:
string
Response
- 202: Accepts the Request to Delete Analytics Records.